# rethrowFailure

abstract fun rethrowFailure()

When a configuration fails to resolve, it does not automatically throw an exception. Exceptions are only thrown if the result of a resolution is accessed. If this configuration failed to resolve, this method will throw the resolution exception.

This method does nothing when resolution was successful.

#### Throws

ResolveException

when the resolve was not successful.